ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
video_markup_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| compile_rutube (&$Settings)
| compile_youtube (&$Settings)

## Data Fields
| $CachedMultyFS = false

## Detailed Description

Class processes video macro.

Author
  Dodonov A.A.

Definition at line 26 of file video_markup.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Author
  Dodonov A.A.

Definition at line 50 of file video_markup.php.

{
try
{
$this->CachedMultyFS = get_package( 'cached_multy_fs' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

compile_rutube | ( | & | $Settings | ) |

Function compile macro 'rutube'.

Parameters

  $Settings | - Fetch settings.

Returns
  HTML code.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 134 of file video_markup.php.

{
try
{
return( $this->compile_template( $Settings , 'rutube.tpl' ) );
}
catch( Exception $e )
{
$Args = func_get_args();_throw_exception_object( __METHOD__ , $Args , $e );
}
}

compile_youtube | ( | & | $Settings | ) |

Function compile macro 'youtube'.

Parameters

  $Settings | - Fetch settings.

Returns
  HTML code.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 168 of file video_markup.php.

{
try
{
return( $this->compile_template( $Settings , 'youtube.tpl' ) );
}
catch( Exception $e )
{
$Args = func_get_args();_throw_exception_object( __METHOD__ , $Args , $e );
}
}

## Field Documentation

$CachedMultyFS = false

Cached objects.

Author
  Dodonov A.A.

Definition at line 38 of file video_markup.php.

The documentation for this class was generated from the following file:

- packages/gui/packages/video_markup/video_markup.php